<!-- IGAC proyecto SNC

@author juan.agudelo
@description Pantalla de gestión bloqueo persona
@version 2.0	 	
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="gArchivo">

    <p:messages id="msgsDP22" showDetail="false" globalOnly="false" />

    <h:form id="gestionArchivosFormUP2" prependId="false"
            enctype="multipart/form-data">

        <p:spacer height="5" width="0" />

        <h:panelGrid columns="1" cellspacing="0">

            <p:spacer height="3" width="0" />
            <h:panelGrid columns="5" cellspacing="0" cellpadding="5">
                <h:outputLabel value="Tipo de marcación:" styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />

                <h:selectOneMenu id="gestionArchivosTipoBloqueo" label="Debe seleccionar el tipo de marcación."  required="true"
                                 value="#{bloqueoPersona.selectedTipoBloqueo}">                                                 
                    <f:selectItems value="#{bloqueoPersona.tiposBloqueoItemList}" />
                    <p:ajax process="@this" update="gestionArchivosFormUP2"/>        
                </h:selectOneMenu>


                <h:selectBooleanCheckbox  title="Restitución de Tierras" rendered="#{not empty bloqueoPersona.selectedTipoBloqueo}"
                                          value="#{bloqueoPersona.selectedRestitucionTierras}" id="restitucionTierrasCheckBox" />
                <h:outputLabel value="Restitución de Tierras" rendered="#{not empty bloqueoPersona.selectedTipoBloqueo}"
                               styleClass="outputLabelStyle" for="restitucionTierrasCheckBox" />                                   
            </h:panelGrid>


            <p:spacer height="3" width="0" />
            <p:fieldset id="entidadOrdenaBloqueoFieldset" toggleable="false">
                <legend>
                    <h:outputText value="Entidad Ordena marcación" styleClass="outputLabelStyle" />
                </legend>
                <p:spacer height="15" width="0" />						

                <h:panelGrid columns="4" cellspacing="0" cellpadding="5">

                    <h:panelGroup>
                        <h:outputLabel value="Departamento:" styleClass="outputLabelStyle"  />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGroup>                                            
                    <h:panelGrid columns="2"  >
                        <h:selectOneMenu id="busquedaEntidadesDepartamento"  
                                         label="Debe seleccionar el departamento donde se encuentra ubicada la oficina que realiza la marcación del predio."
                                         required="true" 
                                         value="#{bloqueoPersona.selectedDepartamento}">
                            <f:selectItem itemLabel="Todos" itemValue="" />
                            <f:selectItems
                                value="#{bloqueoPersona.departamentosItemList}" />
                            <p:ajax listener="#{bloqueoPersona.actualizarMunicipiosBuscardorListener}"
                                    update="busquedaEntidadesMunicipio" onstart="statusDialog2.show();"
                                    oncomplete="statusDialog2.hide();" />                                                    
                        </h:selectOneMenu>
                    </h:panelGrid>   

                    <h:panelGroup>
                        <h:outputLabel value="Municipio" styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <h:panelGrid columns="2">                                            
                        <h:selectOneMenu id="busquedaEntidadesMunicipio" 
                                         label="Debe seleccionar el municipio donde se encuentra ubicada la oficina que realiza la marcación del predio."  
                                         required="true"
                                         value="#{bloqueoPersona.selectedMunicipio}">
                            <f:selectItem itemLabel="Seleccionar" itemValue="" />
                            <f:selectItems value="#{bloqueoPersona.municipiosBuscadorItemList}" />

                            <p:ajax listener="#{bloqueoPersona.cargarEntidades}"
                                    update=":msgsDP22,entidadOrdenaBloqueo" onstart="statusDialog2.show();"
                                    oncomplete="statusDialog2.hide();" />                                                    

                        </h:selectOneMenu>
                    </h:panelGrid>                                               
                </h:panelGrid>   


                <h:panelGrid columns="5" cellspacing="0" cellpadding="5">
                    <h:outputLabel value="Entidad:" styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    <h:selectOneMenu id="entidadOrdenaBloqueo"
                                     label="Debe seleccionar la entidad  que realiza la marcación de la persona." required="true"
                                     value="#{bloqueoPersona.idEntidadBloqueo}">
                        <f:selectItems value="#{bloqueoPersona.entidades}" />
                    </h:selectOneMenu>
                    <p:message for="entidadOrdenaBloqueo" display="icon" id="entidadOrdenaBloqueoMsg" />
                </h:panelGrid>



            </p:fieldset>	

            <p:spacer height="3" width="0" />
        </h:panelGrid> 


        <h:panelGrid columns="1" cellspacing="3" width="100%">

            <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
            <h:outputText
                value="Las extensiones válidas del archivo de soporte son tif, png, jpg, jpeg y pdf."
                styleClass="noteTextStyle" />

            <p:fileUpload id="futres"
                          fileUploadListener="#{bloqueoPersona.archivoUpload}" required="true"
                          dragDropSupport="true"
                          invalidFileMessage="El tipo de archivo seleccionado no es valido."
                          label="Documento soporte" auto="true"
                          invalidSizeMessage="El archivo seleccionado supera el tamaño permitido."
                          uploadLabel="Subir documento" cancelLabel="Cancelar" mode="advanced"
                          sizeLimit="1024000" allowTypes="/(\.|\/)(pdf|dwg|tif|png|jp[e]?g)$/"
                          update=":msgsDP22,gestionArchivosFormUP2:panelDocSop3,futres"
                          onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />

            <h:panelGrid columns="3" cellspacing="7" id="panelDocSop3">
                <h:outputLabel value="Documento de soporte: "
                               styleClass="outputLabelStyle"
                               rendered="#{ not empty bloqueoPersona.documentoSoporteBloqueo.archivo}" />

                <p:commandLink
                    value="#{bloqueoPersona.documentoSoporteBloqueo.archivo}"
                    update=":docVDocSoporte:docViewerCCForm"
                    styleClass="commandLinkStyle"
                    oncomplete="docViewerDSWV.show();statusDialog2.hide()"
                    onstart="statusDialog2.show()"
                    rendered="#{not empty bloqueoPersona.documentoSoporteBloqueo.archivo}">
                    <f:setPropertyActionListener
                        target="#{previsualizacionDocumento.documentoTemporal}"
                        value="#{bloqueoPersona.documentoSoporteBloqueo}" />
                    <f:setPropertyActionListener
                        target="#{bloqueoPersona.documentoTemporalAVisualizar}"
                        value="#{bloqueoPersona.documentoSoporteBloqueo}" />

                </p:commandLink>
            </h:panelGrid>

        </h:panelGrid>


        <h:panelGrid columns="1" cellspacing="0">

            <p:spacer height="3" width="0" />

            <h:panelGrid columns="2">
                <h:outputLabel value="Motivo de la marcación: "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid columns="3">
                <h:inputTextarea value="#{bloqueoPersona.motivoBloqueo}" id="otro22"
                                 label="Motivo de la marcación" required="true" rows="3"
                                 cols="75" onkeydown="controlarNroChars(this, 250, true)"
                                 onkeyup="controlarNroChars(this, 250, true)"/>

                <p:message for="otro22" display="icon"></p:message>
            </h:panelGrid>
        </h:panelGrid>

        <h:panelGrid width="100%">

            <h:panelGrid columns="3" style="position: relative; left:150px;">
                <h:panelGrid>
                    <p:commandButton value="Guardar"
                                     action="#{bloqueoPersona.guardarPB}" id="btnGuardar2"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, guardarPersonaBloqueoWV, true);"
                                     update=":msgsDP22, :gestionArchivosFormUP2,
                                     :mensajeConfirmacion:confirmationDialogCCForm"
                                     icon="ui-icon-disk" />

                </h:panelGrid>
                <h:panelGrid>
                    <p:commandButton value="Cerrar"
                                     oncomplete="gestionarArchivoWV.hide()" immediate="true"
                                     icon="ui-icon-close" />
                </h:panelGrid>
            </h:panelGrid>

        </h:panelGrid>

    </h:form>
</h:panelGrid>

